Create service
Create a new service in the account.
Authorization
authorization In: header
Request Body
application/json
Service params
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for creating a service.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/services" \ -H "Content-Type: application/json" \ -d '{ "appointment_type": "virtual", "booking_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_booking": true, "disabled_message": "Booking is disabled for this service.", "hold": { "duration": "PT10M", "enabled": true }, "maximize_utilization": { "enabled": true } }, "buffer_policy": { "after_duration": "PT1H", "before_duration": "PT15M", "enabled": true }, "cancellation_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_cancellation": true, "disabled_message": "Cancellation is disabled for this service." }, "change_policy_text": "Appointments within 48 hours cannot be canceled or rescheduled online. Please call our office.", "duration": "PT1H30M", "internal_name": "IC - New Patient", "metadata": { "external_id": "123" }, "name": "Initial Consult", "provider_notifications": { "additional_recipients": [ "admin@example.com" ], "notify_provider": true, "types": [ { "type": "new_appointment" } ] }, "rescheduling_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_rescheduling": true, "disabled_message": "Rescheduling is disabled for this service." }, "slot_rules": [ { "recurrence_rule": { "byday": [ "mo", "we", "fr" ], "freq": "weekly" }, "start_times": [ "09:00", "10:00" ] } ] }'{ "data": { "appointment_type": "in_person", "booking_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_booking": true, "disabled_message": "Booking is disabled for this service.", "hold": { "duration": "PT10M", "enabled": true }, "maximize_utilization": { "enabled": true } }, "buffer_policy": { "after_duration": "PT1H", "before_duration": "PT15M", "enabled": true }, "cancellation_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_cancellation": true, "disabled_message": "Cancellation is disabled for this service." }, "change_policy_text": "Appointments within 48 hours cannot be canceled or rescheduled online. Please call our office.", "created_at": "2025-02-17T17:49:19Z", "duration": "PT1H30M", "forms": [ { "created_at": "2025-02-17T17:49:19Z", "form_id": "frm_d025a96ac0c6", "form_name": "Intake Form", "id": "sf_d025a96ac0c6", "object": "service_form", "sort_order": 1, "updated_at": "2025-02-17T17:49:19Z" } ], "id": "srv_d025a96ac0c6", "internal_name": null, "metadata": { "external_id": "123" }, "name": "Initial Consult", "object": "service", "provider_notifications": { "additional_recipients": [ "admin@example.com" ], "notify_provider": true, "types": [ { "type": "new_appointment" } ] }, "rescheduling_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_rescheduling": true, "disabled_message": "Rescheduling is disabled for this service." }, "slot_rules": [ { "recurrence_rule": { "byday": [ "mo", "we", "fr" ], "freq": "weekly" }, "start_times": [ "09:00", "10:00" ] } ], "updated_at": "2025-02-17T17:49:19Z" }}Clear service provider conferencing DELETE
Remove the conferencing configuration for a service provider. Succeeds even when no conferencing is currently configured. Returns a 404 when the service or provider does not exist, the provider is not assigned to the service, or the service provider is not accessible to the current actor.
Add provider to service POST
Add a provider to the rotation for a specific service.